<?php

/**
 * The template for the cookie popup
 *
 * @link       https://webdeclic.com/
 * @since      1.0.0
 *
 * @package    Cookie_Dough_Consent
 * @subpackage Cookie_Dough_Consent/public/templates/components
 */
?>

<div class="cdc-cookie__popup closed <?php esc_attr_e($personalization_alignment_main_btn); ?>" id="cdc-cookie-popup">

    <div class="cdc-cookie__popup__top">

        <?php if ( !empty($personalization_bg_shape) || is_admin() ): ?>
            <div class="cdc-cookie__popup__top__svg" id="personalization-bg-shape-svg"><?php echo !empty($personalization_bg_shape) ? file_get_contents($personalization_bg_shape) : ''; ?></div>
        <?php endif; ?>

        <?php if ( !empty($personalization_main_image) || is_admin() ): ?>
            <div class="cdc-cookie__popup__top__img">
                <img src="<?php echo esc_url($personalization_main_image); ?>" id="personalization-main-image-image" alt="<?php _e('Cookie modal illustration', COOKIE_DOUGH_CONSENT_TEXT_DOMAIN); ?>">
            </div>
        <?php endif; ?>

    </div>

    <div class="cdc-cookie__popup__steps">

        <?php
            require_once COOKIE_DOUGH_CONSENT_PLUGIN_PATH . 'public/templates/components/cookie-step-main.php';

            if ( $mandatory_show_step == 'yes' || is_admin() ) {
                require_once COOKIE_DOUGH_CONSENT_PLUGIN_PATH . 'public/templates/components/cookie-step-mandatory.php';
            }
            
            if ( $optional_show_step == 'yes' || is_admin() ) {
                require_once COOKIE_DOUGH_CONSENT_PLUGIN_PATH . 'public/templates/components/cookie-step-optional.php';
            }
        ?>

    </div>

</div>