<?php

/**
 * The template for the cookie step main
 *
 * @link       https://webdeclic.com/
 * @since      1.0.0
 *
 * @package    Cookie_Dough_Consent
 * @subpackage Cookie_Dough_Consent/public/templates/components
 */
?>

<div class="cdc-cookie__popup__steps__step selected" id="main-show-step-container">

    <div class="cdc-cookie__popup__steps__step__body">

        <div class="cdc-cookie__popup__steps__step__body__before-title" id="main-befor-title-text"><?php esc_html_e($main_before_title); ?></div>

        <div class="cdc-cookie__popup__steps__step__body__title" id="main-title-text"><?php esc_html_e($main_title); ?></div>

        <div class="cdc-cookie__popup__steps__step__body__description" id="main-description-text"><?php echo esc_textarea($main_description); ?></div>

        <?php if ( ($main_summary == 'yes' && ( $mandatory_show_step == 'yes' || $optional_show_step == 'yes' ) ) || is_admin() ): ?>

            <div class="cdc-cookie__popup__steps__step__body__summary <?php echo esc_attr( $main_summary == 'yes' && is_admin() ? 'show' : '' ); ?>" id="main-summary-container">

                <div class="cdc-cookie__popup__steps__step__body__summary__title" id="main-summary-text-text"><?php esc_html_e($main_summary_text); ?></div>

                <div class="cdc-cookie__popup__steps__step__body__summary__content">

                    <?php if ( $mandatory_show_step == 'yes' || is_admin() ): ?>
                        <div class="cdc-cookie__popup__steps__step__body__summary__content__item <?php echo esc_attr( $mandatory_show_step == 'yes' && is_admin() ? 'show' : '' ); ?>" id="mandatory-step-title-text" data-index="1"><?php esc_html_e( $mandatory_step_title ); ?></div>
                    <?php endif; ?>
                    
                    <?php if ( $optional_show_step == 'yes' || is_admin() ): ?>
                        <div class="cdc-cookie__popup__steps__step__body__summary__content__item <?php echo esc_attr( $optional_show_step == 'yes' && is_admin() ? 'show' : '' ); ?>" id="optional-step-title-text" data-index="<?php echo esc_attr( $mandatory_show_step == 'yes' ? '2' : '1' ); ?>"><?php esc_html_e( $optional_step_title ); ?></div>
                    <?php endif; ?>

                </div>

            </div>

        <?php endif; ?>

        <div class="cdc-cookie__popup__steps__step__body__important-links">

            <?php
                if ( is_array($main_important_links) ) {

                    foreach ( $main_important_links as $key => $value ) {
                        ?>
                            <div class="cdc-cookie__popup__steps__step__body__important-links__item i-<?php esc_attr_e($key); ?>">
                                <span class="cdc-cookie__popup__link" data-href="<?php echo esc_url($value['link']); ?>"><?php esc_html_e($value['text']); ?></span>
                            </div>
                        <?php
                    }
                }
            ?>

        </div>
        
    </div>

    <div class="cdc-cookie__popup__steps__step__footer">

        <?php include COOKIE_DOUGH_CONSENT_PLUGIN_PATH . 'public/templates/components/step-component-powered.php'; ?>

        <div class="cdc-cookie__popup__steps__step__footer__btns">

            <button class="cdc-cookie__popup__steps__step__footer__btns__btn" id="cdc-cookie-step-main-reject"><?php esc_html_e($main_reject_text); ?></button>

            <?php if ( ($mandatory_show_step == 'yes' || $optional_show_step == 'yes') || is_admin() ): ?>
                <button class="cdc-cookie__popup__steps__step__footer__btns__btn <?php echo esc_attr( $mandatory_show_step == 'yes' || $optional_show_step == 'yes' ? 'show' : '' ); ?>" id="cdc-cookie-step-main-choose"><?php esc_html_e($main_choose_text); ?></button>
            <?php endif; ?>
            
            <button class="cdc-cookie__popup__steps__step__footer__btns__btn main" id="cdc-cookie-step-main-acceptall"><?php esc_html_e($main_acceptall_text); ?></button>
                
        </div>

    </div>

</div>