<?php

/**
 * The template for the front page cookie
 *
 * @link       https://webdeclic.com/
 * @since      1.0.0
 *
 * @package    Cookie_Dough_Consent
 * @subpackage Cookie_Dough_Consent/public/templates
 */

$main_before_title                          = get_option( 'main-befor-title', cdc_cookie_default_values('main-befor-title') );
$main_title                                 = get_option( 'main-title', cdc_cookie_default_values('main-title') );
$main_description                           = get_option( 'main-description', cdc_cookie_default_values('main-description') );
$main_summary                               = get_option( 'main-summary', cdc_cookie_default_values('main-summary') );
$main_summary_text                          = get_option( 'main-summary-text', cdc_cookie_default_values('main-summary-text') );
$main_important_links                       = get_option( 'main-important-links', cdc_cookie_default_values('main-important-links') );
$main_reject_text                           = get_option( 'main-reject-text', cdc_cookie_default_values('main-reject-text') );
$main_choose_text                           = get_option( 'main-choose-text', cdc_cookie_default_values('main-choose-text') );
$main_acceptall_text                        = get_option( 'main-acceptall-text', cdc_cookie_default_values('main-acceptall-text') );

$mandatory_show_step                        = get_option( 'mandatory-show-step', cdc_cookie_default_values('mandatory-show-step') );
$mandatory_step_title                       = get_option( 'mandatory-step-title', cdc_cookie_default_values('mandatory-step-title') );
$mandatory_before_title                     = get_option( 'mandatory-befor-title', cdc_cookie_default_values('mandatory-befor-title') );
$mandatory_title                            = get_option( 'mandatory-title', cdc_cookie_default_values('mandatory-title') );
$mandatory_description                      = get_option( 'mandatory-description', cdc_cookie_default_values('mandatory-description') );
$mandatory_acceptall_text                   = get_option( 'mandatory-acceptall-text', cdc_cookie_default_values('mandatory-acceptall-text') );
$mandatory_nextbtn_text                     = get_option( 'mandatory-nextbtn-text', cdc_cookie_default_values('mandatory-nextbtn-text') );

$optional_show_step                         = get_option( 'optional-show-step', cdc_cookie_default_values('optional-show-step') );
$optional_step_title                        = get_option( 'optional-step-title', cdc_cookie_default_values('optional-step-title') );
$optional_before_title                      = get_option( 'optional-befor-title', cdc_cookie_default_values('optional-befor-title') );
$optional_title                             = get_option( 'optional-title', cdc_cookie_default_values('optional-title') );
$optional_description                       = get_option( 'optional-description', cdc_cookie_default_values('optional-description') );
$optional_acceptall_text                    = get_option( 'optional-acceptall-text', cdc_cookie_default_values('optional-acceptall-text') );
$optional_confirm_text                      = get_option( 'optional-confirmbtn-text', cdc_cookie_default_values('optional-confirmbtn-text') );

$personalization_main_image                 = get_option( 'personalization-main-image', cdc_cookie_default_values('personalization-main-image') );
$personalization_bg_shape                   = get_option( 'personalization-bg-shape', cdc_cookie_default_values('personalization-bg-shape') );
$personalization_color_shape                = get_option( 'personalization-color-shape', cdc_cookie_default_values('personalization-color-shape') );
$personalization_color_action               = get_option( 'personalization-color-action', cdc_cookie_default_values('personalization-color-action') );
$personalization_color_action_secondary     = get_option( 'personalization-color-secondary-action', cdc_cookie_default_values('personalization-color-secondary-action') );
$personalization_color_text                 = get_option( 'personalization-color-text', cdc_cookie_default_values('personalization-color-text') );
$personalization_color_border               = get_option( 'personalization-color-border', cdc_cookie_default_values('personalization-color-border') );
$personalization_color_bg                   = get_option( 'personalization-color-bg', cdc_cookie_default_values('personalization-color-bg') );
$personalization_modal_border_radius        = get_option( 'personalization-modal-border-radius', cdc_cookie_default_values('personalization-modal-border-radius') );
$personalization_alignment_main_btn         = get_option( 'personalization-alignment-main-btn', cdc_cookie_default_values('personalization-alignment-main-btn') );
$personalization_margin_horizontal_main_btn = get_option( 'personalization-margin-horizontal-main-btn', cdc_cookie_default_values('personalization-margin-horizontal-main-btn') );
$personalization_margin_vertical_main_btn   = get_option( 'personalization-margin-vertical-main-btn', cdc_cookie_default_values('personalization-margin-vertical-main-btn') );
$personalization_image_main_btn             = get_option( 'personalization-image-main-btn', cdc_cookie_default_values('personalization-image-main-btn') );
$personalization_size_main_btn              = get_option( 'personalization-size-main-btn', cdc_cookie_default_values('personalization-size-main-btn') );
$personalization_border_radius_main_btn     = get_option( 'personalization-border-radius-main-btn', cdc_cookie_default_values('personalization-border-radius-main-btn') );

$cookie_settings_main                       = get_option( 'cookie-settings-main', cdc_cookie_default_values('cookie-settings-main') );
?>

<div id="cdc-cookie" class="cdc-cookie <?php esc_attr_e($personalization_alignment_main_btn); ?>">

    <style>
        .cdc-cookie {
            --color-shape : <?php esc_attr_e( $personalization_color_shape ); ?>;
            --color-action : <?php esc_attr_e( $personalization_color_action ); ?>;
            --color-secondary-action : <?php esc_attr_e( $personalization_color_action_secondary ); ?>;
            --color-text : <?php esc_attr_e( $personalization_color_text ); ?>;
            --color-border : <?php esc_attr_e( $personalization_color_border ); ?>;
            --color-bg : <?php esc_attr_e( $personalization_color_bg ); ?>;
            --modal-border-radius : <?php esc_attr_e( $personalization_modal_border_radius ); ?>px;
            --margin-horizontal-main-btn : <?php esc_attr_e( $personalization_margin_horizontal_main_btn ); ?>px;
            --margin-vertical-main-btn : <?php esc_attr_e( $personalization_margin_vertical_main_btn ); ?>px;
            --size-main-btn : <?php esc_attr_e( $personalization_size_main_btn ); ?>px;
            --border-radius-main-btn : <?php esc_attr_e( $personalization_border_radius_main_btn ); ?>px;
        }
    </style>

    <?php
        require_once COOKIE_DOUGH_CONSENT_PLUGIN_PATH . 'public/templates/components/cookie-button.php';
        require_once COOKIE_DOUGH_CONSENT_PLUGIN_PATH . 'public/templates/components/cookie-popup.php';
    ?>

</div>